Developer API
API Keys
Create, list and revoke API keys.
Create API key
POST
/api-keysThe token is only returned once.
Body parameters
namestringrequiredUp to 50 characters.
permission"full_access" | "sending_access"Default full_access.
domain_idstringRestrict a sending_access key to one domain.
Request
curl -X POST 'https://api.iresendly.com/api-keys' \
-H 'Authorization: Bearer irs_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "Production",
"permission": "sending_access"
}'Response
{
"id": "dacf4072-4119-4d88-932f-6202748ac7c8",
"token": "irs_c1tpEyD8_NKFusih9vKVQknRAQfmFcWCv"
}List API keys
GET
/api-keysNever includes secrets.
Request
curl -X GET 'https://api.iresendly.com/api-keys' \
-H 'Authorization: Bearer irs_xxxxxxxxx'Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "dacf4072-…",
"name": "Production",
"created_at": "2026-10-15T10:00:00.000Z"
}
]
}Delete API key
DELETE
/api-keys/{id}Revokes immediately.
Request
curl -X DELETE 'https://api.iresendly.com/api-keys/{id}' \
-H 'Authorization: Bearer irs_xxxxxxxxx'Response
{
"object": "api_key",
"id": "dacf4072-…",
"deleted": true
}